# Determinant matice

## Permutace

Vzájemně jednoznačné zobrazení konečné množiny na sebe.

$$
\pi_{1} = \begin{pmatrix}
1 & 2 & 3 & 4 & 5 \\
5 & 3 & 2 & 1 & 4
\end{pmatrix} \qquad \pi_{2} = \begin{pmatrix}
1 & 2 & 3 & 4 & 5 \\
2 & 4 & 3 & 1 & 5
\end{pmatrix}
$$

Můžeme je skládat (stejně jako funkce):

$$
\pi_{1} \circ \pi_{2} = \begin{pmatrix}
1 & 2 & 3 & 4 & 5 \\
5 & 3 & 4 & 2 & 1
\end{pmatrix} \qquad \pi_{2} \circ \pi_{1} = \begin{pmatrix}
1 & 2 & 3 & 4 & 5 \\
1 & 3 & 2 & 5 & 4
\end{pmatrix}
$$

### Transpozice

Permutace $\pi$, pro kterou existují $i, j$ takové, že $\pi(i) = j, \pi(j) = i$ a $\pi(k) = k$ pro všechna $k \neq i, j$.
- v transpozici dojde pouze k **prohození dvou prvků**

$$
J_{1} = \begin{pmatrix}
1 & 2 & 3 & 4 & 5 \\
1 & 4 & 3 & 2 & 5
\end{pmatrix} \qquad J_{2} = \begin{pmatrix}
1 & 2 & 3 & 4 & 5 \\
2 & 1 & 3 & 4 & 5
\end{pmatrix}
$$

Každá **permutace** se dá vyjádřit jako složení **konečného počtu transpozic**.

$$
\pi_{2} = \begin{pmatrix}
1 & 2 & 3 & 4 & 5 \\
2 & 4 & 3 & 1 & 5
\end{pmatrix} = J_{1} \circ J_{2} = \begin{pmatrix}
1 & 2 & 3 & 4 & 5 \\
1 & 4 & 3 & 2 & 5
\end{pmatrix} \circ \begin{pmatrix}
1 & 2 & 3 & 4 & 5 \\
2 & 1 & 3 & 4 & 5
\end{pmatrix}
$$

Znázornění jednotlivých transpozic (směrem dolů):

$$
\downarrow \quad \begin{matrix}
\text{začátek} & 1 & 2 & 3 & 4 & 5 \\
J_{1} & 1 & \mathbf{4} & 3 & \mathbf{2} & 5\\
J_{2} & \mathbf{2} & 4 & 3 & \mathbf{1} & 5
\end{matrix}
$$

Permutace je **sudá nebo lichá** podle sudého nebo lichého počtu transpozic.
- **Znaménko permutace** $\pi$ je pak číslo
  
	$$
    zn(\pi) = \begin{cases}1, \text{je-li } \pi \text{ sudá} \\ -1, \text{je-li } \pi \text{ lichá}\end{cases}
	$$
- Znaménko permutace vzniklé složením dvou permutací se rovná součinu znamének každé permutace.
	- $zn(\pi_1 \circ \pi_{2}) = zn(\pi_{1}) \cdot zn(\pi_{2})$

## Determinant

**Determinantem** čtvercové matice $A = [a_{ij}]$ řádu $n$ nazveme číslo

$$\det(A) = \sum_{\pi}^{} zn(\pi)a_{1\pi(1)}a_{2\pi(2)}\dots a_{n\pi(n)}$$

kde sčítáme přes všechny permutace na množině $\{1, 2, \dots, n\}$.

- determinant je suma všech permutací vzniklých z diagonálního řádku matice, kde sudá permutace je s kladným znaménkem a lichá se záporným
- v součinu prvků v definici determinantu je z každého řádku a z každého sloupce vybrán právě jeden prvek
- $det(A) = det(A^{T})$

#### Algebraický doplněk matice

Subdeterminant (minor) vzniklý z matice vynecháním $i$-tého řádku a $j$-tého sloupce.
- $(-1)^{i+j} \det A[\cancel{i/j}]$

### Rozvoj podle i-tého řádku

- A je čtvercová matice řádu $n$
- $i \in {\{ 1, 2, ..., n  \}}$
- $det(A) = a_{i1}A_{i1}+a_{i2}A_{i2} + ... + a_{in}A_{in} = \sum_{j=1}^{n}a_{ij}A_{ij}$
- elementární úpravy:
	- prohození dvou řádků matice
	- vynásobení (vydělení) řádku matice nenulovým číslem
	- přičtení $k$-násobku $i$-tého řádku k $j$-tému
- pro determinanty můžeme využívat analogicky i sloupcové elementární úpravy

### Věty

Nechť matice B vznikne z matice A prohozením dvou řádků (sloupců). Potom $\det(B) = -\det(A)$.
- **DK**: Prohozením dvou řádků (sloupců) se změní počet transpozic v každé permutaci o 1, tedy znaménka se změní v opačná.
- z definice determinantu pak plyne, že determinant vyjde opačný k $det(A)$

Má-li matice A **dva stejné řádky** nebo **sloupce**, potom $\det(A) = 0$.
- **DK**: Matice B vznikne z matice A prohozením dvou stejných řádků (sloupců).
- musí platit zároveň, že:
	- $\det(B) = -\det(A)$ z předchozí věty, tedy $0 = -0$
	- matice $B = A$, tedy $\det(B) = \det(A)$, proto $0 = 0$
- Z toho plyne, že determinant je nulový, tedy $\det(A)=\det(B)=0$.

Nechť matice B vznikne z matice A vynásobením $i$-tého řádku (sloupce) číslem $c$. Potom $\det(B) = c \cdot \det(A)$.
- **DK**: Rozvoj v matici B podle $i$-tého řádku:
- $\det(B) = (c \cdot a_{i1} \cdot A_{i1} + c \cdot a_{i2} \cdot A_{i2} + \dots + c \cdot a_{in} \cdot A_{in}) =$ $c \cdot (a_{i1} \cdot A_{i1} + a_{i2} \cdot A_{i2} + \dots + a_{in}*A_{in}) = c \cdot det(A)$

Má-li matice A nějaký řádek nebo sloupec nulový, potom $\det(A) = 0$
- **DK**: Rozvojem podle nulového řádku (či sloupce).

Nechť matice B vznikne z matice A přičtením $c$-násobku $i$-tého řádku (slupce) k $j$-tému řádku (sloupci) ($i \neq j$). Potom $\det(B) = \det(A)$.

Nechť A, B jsou matice řádu $n$. Potom $\det(A \cdot B) = det(A) \cdot det(B)$.