# Soustavy lineárních rovnic

Soustava $m$ rovnic pro $n$ neznámých:

$$
\begin{matrix}
a_{11}x_{1} + a_{12}x_{2} + a_{13}x_{3} + \dots + a_{1n}x_{n} = b_{1} \\
a_{21}x_{1} + a_{22}x_{2} + a_{23}x_{3} + \dots + a_{2n}x_{n} = b_{2} \\
\vdots \qquad\qquad\qquad \vdots \\
a_{m1}x_{1} + a_{m2}x_{2} + a_{m3}x_{3} + \dots + a_{mn}x_{n} = b_{n}
\end{matrix}
$$

Soustavu zapíšeme maticově:

$$
A = \begin{bmatrix}
a_{11} & a_{12} & \dots & a_{1n} \\
a_{21} & a_{22} & \dots & a_{2n} \\
\vdots & \vdots & \vdots & \vdots \\
a_{m1} & a_{m2} & \dots & a_{mn}
\end{bmatrix}, \qquad \vec{x} = \begin{bmatrix}
x_{1} \\
x_{2} \\
\vdots \\
x_{n}
\end{bmatrix}, \qquad \vec{b} = \begin{bmatrix}
b_{1} \\
b_{2} \\
\vdots \\
b_{m}
\end{bmatrix}
$$

Potom A je **matice soustavy** (typu $m/n$), $\vec{x}$ je **vektor (sloupec) neznámých** a $\vec{b}$ je **vektor (sloupec) pravých stran**.

Soustavu zapisujeme jako $A\vec{x} = \vec{b}$.

Dvě soustavy se nazývají **ekvivalentní**, jestliže mají stejnou množinu řešení.

### Rozšířená matice soustavy

Značí se: $A^R = [A \mid \vec{b}]$.

### Frobeniova podmínka řešitelnosti

- Soustava rovnic $A\vec{x} = \vec{b}$ má řešení právě tehdy, když $hod(A^R) = hod(A)$.

### Typy soustav

- **homogenní**
	- s nulovým sloupcem vpravo (nemusí se psát)
- **nehomogenní**
	- s čísly vpravo oddělenými svislou čárou (značí $=$)

### Řešení soustavy

1. přepíšu do matice a vyřeším pomocí GEM/GJEM
2. najdu pivoty (první nenulové číslo v řádku) a ke sloupcům bez pivota přiřadím parametry (např.: $x_3 = t, t \in R$)
3. řádky zapíšu jako rovnice (např.: $2x_1 + 3x_2 + x_4 = 0$)
4. z rovnic vyjádřím jednotlivá x

#### Možná řešení

- soustava nemá řešení
- soustava má jedno řešení
- soustava má nekonečně mnoho řešení

### Cramerovo pravidlo

- používá se u čtvercových regulárních matic (viz hodnost matice)
- každý cramerovský systém má **1 řešení**
- zjistíme determinant z matice A a také z každé nové matice
	- nové matice vytvoříme postupným nahrazením každého sloupce v matici za pravou stranu
	- první matice bude mít nahrazený pouze 1. sloupec, druhá pouze 2., ...
	- výsledkem matice je poté $x_{1} = \frac{\det A_{1}}{\det A}$, $x_{2} = \frac{\det A_{2}}{\det A}$, $x_{i} = \frac{\det A_{i}}{\det A}$