# Inercie kvadratické formy, zákon setrvačnosti kvadratických forem
## Inercie kvadratické formy
- Nechť $\kappa(\vec{x}) = \vec{x}^{T}A\vec{x}$ je kvadratická forma, **A** reálná symetrická matice. Označme
	- $k$ - počet kladných vlastních čísel matice **A** (vč. násobností);
	- $z$ - počet záporných vlastních čísel matice **A**;
	- $d$ - počet nulových vlastních čísel matice **A**.
- **inercie kvadratické formy** - Trojice čísel ($k$, $z$, $d$)
- značíme $in(\kappa) = (k, z, d)$

### Druhy inercií

Řekněme, že kvadratická forma $\kappa(\vec{x})$ na $\mathbb{R}^n$ je

| typ                         | jestliže                               |
| --------------------------- | -------------------------------------- |
| **pozitivně definitní**     | $in(\kappa) = (k, 0, 0)$               |
| **negativně definitní**     | $in(\kappa) = (0, z, 0)$               |
| **pozitivně semidefinitní** | $in(\kappa) = (k, 0, d), d > 0$        |
| **negativně semidefinitní** | $in(\kappa) = (0, z, d), d > 0$        |
| **indefinitní**             | $in(\kappa) = (k, z, d), k > 0, z > 0$ |

## Zákon setrvačnosti kvadratických forem
- Je-li kvadratická forma na $\mathbb{R}^n$ vyjádřena dvěma způsoby jako lineární kombinace čtverců souřadnic vzhledem ke dvěma bázím, pak v obou vyjádřeních je **stejný počet kladných, záporných i nulových koeficientů**.
	- $2x^2 + 2y^2 = (x+y)^2 + (x-y)^2$